/*                                             -*- mode:C++; fill-column:100  -*-
  main.h Declarations of the basic sketch functions
  Copyright (C) 2008 The Regents of the University of New Mexico.  All rights reserved.

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301
  USA
*/
/**
  \file main.h Declarations of the basic sketch functions
  \author David H. Ackley.  
  \date (C) 2008 All rights reserved.
  \lgpl
 */

#ifndef MAIN_H_
#define MAIN_H_

extern int main() ; /**< the bootloader, sketch-runner, everything-doer entry point! */

extern void setup();            /**< Once-only start up function to be defined by the user */
extern void loop();             /**< Repeating main function to be defined by the user */

#endif /*MAIN_H_*/
